Subject: Re: bug#10034: 24.0.91; max-specpdl-size error

From: [email-masked]
Date: Tue, 15 Nov 2011 21:59:46 -0500

martin rudalics <[email-masked]> writes:

>> C-g worked. However, other things that I did resulted in
>> "Variable binding depth exceeds max-specpdl-size" messages.
>
> In a situation like this does it help to do either
>
>   C-x 5 2 to make a new frame and delete the old one, or
>
>   C-x 1 to display only one window?
>
> If either of this makes the messages disappear, the bug could be in the
> window handling code.

I haven't gotten the message message thus far with the new Emacs Windows
zip file released yesterday (emacs-20111114-r106380-bin-i386.zip) by
Christoph Scholtes with newer window.el/window.c code.

I'll keep trying for a litle while longer to see if I can reproduce
it.

>
>> The specific error message that I listed above:
>>
>>   window-min-size-1: Variable binding depth exceeds max-specpdl-size
>>
>> occurred when I tried to `C-SPC C-h M-w' the *Message* buffer.
>
> What is this key sequence supposed to do?

It sets the mark, (mark-whole-buffer), and (kill-ring-save) of the
*Message* buffer so that I could paste it in the new Emacs instance
to send my bug report.

>
>> When I was geting different "max-specpdl-size" errors with almost
>> everything I subsequently did, I started up a new Emacs instance in
>> order to file a bug report.
>>
>> I then tried to copy the *Message* buffer from the original Emacs
>> instance that was having this problem into the new Emacs instance in
>> order to provide information for the bug report.
>>
>> I could `C-x b' (switch-to-buffer) to the *Message* buffer and a few
>> other things but most things resulted in different "max-specpdl-size"
>> warning messages.
>
> How many windows were on this Emacs frame at that time?

Two.

>
>> (BTW, I noticed that after sending a bug report and successfully
>> sending with `C-c C-c', the Bug Report Help buffer created when
>> invoking `(report-emacs-bug)' at least from the menu-bar, remains
>> visible as another (split) window.  Is that intentional?)
>
> I don't know.  Looking at the code of `report-emacs-bug' I don't see a
> call to remove a window but maybe I'm missing something.
>
> martin